import React from "react";
import PropTypes from "prop-types";
import { useSelector } from "react-redux";

export const EpisodeThumb = ({ season, episode }) => {
  const url = useSelector(
    (state) => state.show.show.seasons.get(season).get(episode).thumb
  );

  if (url === "") {
    return null;
  }

  return (
    <div className="mr-0 mr-lg-2 mb-2 mb-lg-0 episode-thumb">
      <img src={url} />
    </div>
  );
};
EpisodeThumb.propTypes = {
  season: PropTypes.number.isRequired,
  episode: PropTypes.number.isRequired,
};
